## org.jfree.ui
Interface GradientPaintTransformer

All Known Implementing Classes:
  StandardGradientPaintTransformer

    public interface GradientPaintTransformer

The interface for a class that can transform a `GradientPaint` in some way.

Author:
  David Gilbert

Method Summary
`java.awt.GradientPaint` `transform(java.awt.GradientPaint paint, java.awt.Shape target)` Transforms a `GradientPaint` instance to "fit" some target shape.

Method Detail

### transform

    java.awt.GradientPaint transform(java.awt.GradientPaint paint,
                                     java.awt.Shape target)

  Transforms a `GradientPaint` instance to "fit" some target shape.

  Parameters:
    `paint` - the original paint.
    `target` - the reference area.
  Returns:
    A transformed paint.